
Redmine - Patch #1601

Make second level navigation for all views in repository controller

2008-07-08 14:22 - Bradley Whittington

Status: New Start date: 2008-07-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Description

We are using redmine for internal project management, and we found it lacking a consistent second level navigation while browsing

files, reviewing diffs, etc. under the repositories controller.

This patch moves the navigation originally provided on the "changes" view, into a partial template called _entry_nav.rhtml, expands it

to include links for annotation, view, and a link back to the changes view, labelled as "History".

the partial can take an additional variable called current_view which hints to the second level nav which view is currently being

shown, so it can hide the irrelevant link.

The patch also moves the navigation provided in the revision view (the next changeset, previous changeset) into a partial called

_changeset_nav.rhtml so that it can be used on the 'browse' view, and later could be expanded to be used on the 'entry', 'annotation'

etc. view, so one could navigate changesets relevant to that file, providing a temporal navigation to the repositories.

We have found it to be a nice improvement because it is easy to jump from a changeset listing to a file's annotation, diff, view, and

history

I built the patch against an svn checkout of the 0.7-stable branch

Related issues:

Related to Redmine - Patch #2144: Patch for main-level repository Closed 2008-11-07 2008-11-07

Related to Redmine - Feature #1311: Subversion: Show revision histories for b... New 2008-05-27

History

#1 - 2008-07-09 18:49 - Jean-Philippe Lang

- Category set to SCM

- Target version deleted (0.7)

#2 - 2009-05-23 15:37 - Jens Goldhammer

+1

Files

consistent_repository_navigation.patch 10.6 KB 2008-07-08 Bradley Whittington
